/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#include <iostream>

#include "gcmd.h"
#include "gdwell.h"

/// constructor
GDwell::GDwell():
  mSec(1.0)
{
}

/// virtual destructor
GDwell::~GDwell()
{
}

/// output G-code command to stream
void GDwell::toStrm(std::ostream &strm) const
{
  strm << "G4 P" << mSec << std::endl;
}

