/* drawing (DXF) to G-code (NGC) converter
 * Copyright 2013 Stefan Schuermans <stefan@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#include <iostream>

#include "gcmd.h"
#include "gfast.h"
#include "optdbl.h"

/// virtual destructor
GFast::~GFast()
{
}

/// output G-code command to stream
void GFast::toStrm(std::ostream &strm) const
{
  strm << "G0";
  mX.toStrm(strm, " X");
  mY.toStrm(strm, " Y");
  mZ.toStrm(strm, " Z");
  strm << std::endl;
}

